<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>matrice module &mdash; Documentation calculs_matriciels 1.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=7a28dfa3"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/translations.js?v=d99ca74e"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="next" title="test module" href="test.html" />
    <link rel="prev" title="main module" href="main.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            calculs_matriciels
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" aria-label="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">calculs-matriciels</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="main.html">main module</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">matrice module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#matrice.change_valeur"><code class="docutils literal notranslate"><span class="pre">change_valeur()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.dimension_check"><code class="docutils literal notranslate"><span class="pre">dimension_check()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.is_element"><code class="docutils literal notranslate"><span class="pre">is_element()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.matrice"><code class="docutils literal notranslate"><span class="pre">matrice()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.matrice_identite"><code class="docutils literal notranslate"><span class="pre">matrice_identite()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.print_matrice"><code class="docutils literal notranslate"><span class="pre">print_matrice()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.produit_matriciel"><code class="docutils literal notranslate"><span class="pre">produit_matriciel()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.produit_scalaire"><code class="docutils literal notranslate"><span class="pre">produit_scalaire()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#matrice.somme_matrice"><code class="docutils literal notranslate"><span class="pre">somme_matrice()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="test.html">test module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">calculs_matriciels</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">calculs-matriciels</a></li>
      <li class="breadcrumb-item active">matrice module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/matrice.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-matrice">
<span id="matrice-module"></span><h1>matrice module<a class="headerlink" href="#module-matrice" title="Link to this heading"></a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="matrice.change_valeur">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">change_valeur</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">ligne</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">col</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">val</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.change_valeur" title="Link to this definition"></a></dt>
<dd><dl class="simple">
<dt>fonction qui prend en paramètre la ligne et la colonne</dt><dd><p>dans la matrice de l’élément à changer et sa nouvelle valeur, et la matrice. Elle retourne la matrice modifiée.</p>
</dd>
<dt>Args:</dt><dd><p>ligne (int): nombre de ligne voulu
col (int): nombre de colonne voulu
val (int): nouvelle valeur à intégrer à la position [ligne][col]
matrice (list): matrice à modifier</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.dimension_check">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">dimension_check</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">alt_matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.dimension_check" title="Link to this definition"></a></dt>
<dd><dl class="simple">
<dt>fonction qui prend en paramètre 2 matrices </dt><dd><p>et qui retourne True si elles sont de même dimension, False sinon</p>
</dd>
<dt>Args:</dt><dd><p>matrice (list): une matrice
alt_matrice (list): une autre matrice</p>
</dd>
<dt>Returns:</dt><dd><p>[boolean]: return true si même dimension et false sinon</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.is_element">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">is_element</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">int</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.is_element" title="Link to this definition"></a></dt>
<dd><dl class="simple">
<dt>fonction is_element() qui prend en paramètre une matrice et un nombre, </dt><dd><p>et vérifie si ce nombre est dans la matrice. Si c’est le cas on retourne sa position x, y.</p>
</dd>
<dt>Args:</dt><dd><p>matrice (list): une matrice
int (int): un nombre</p>
</dd>
<dt>Returns:</dt><dd><p>liste : une liste avec coordonée (x, y)</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.matrice">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">ligne</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">col</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.matrice" title="Link to this definition"></a></dt>
<dd><dl class="simple">
<dt>fonction qui prend en paramètre le nombre de lignes et de colonnes de la matrice à créer.</dt><dd><p>Elle retourne une liste à deux dimensions qui représente la matrice, toutes les valeurs valent 0 par défaut.</p>
</dd>
<dt>Args:</dt><dd><p>ligne (int): nombre de ligne voulu
col (int): nombre de colonne voulu</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.matrice_identite">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">matrice_identite</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">size</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.matrice_identite" title="Link to this definition"></a></dt>
<dd><p>fonction qui prend en paramètre la taille de la matrice identité. Elle crée la matrice et la retourne.
Args:</p>
<blockquote>
<div><p>size (int): taille de la matrice</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.print_matrice">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">print_matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.print_matrice" title="Link to this definition"></a></dt>
<dd><p>fonction print_matrice() qui prend en paramètre la matrice et l’affiche dans la console.
Args:</p>
<blockquote>
<div><p>matrice (list): matrice</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.produit_matriciel">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">produit_matriciel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">alt_matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.produit_matriciel" title="Link to this definition"></a></dt>
<dd><dl class="simple">
<dt>fonction produit_matriciel() qui prend en paramètre 2 matrices, et en retourne le produit matriciel.</dt><dd><p>Vérifier si les dimensions des 2 matrices sont cohérentes pour le produit matriciel,
si ce n’est pas le cas lever une exception de type MatriceDimensionError().</p>
</dd>
<dt>Args:</dt><dd><p>matrice (list): une matrice 
alt_matrice (list): une autre matrice</p>
</dd>
<dt>Returns:</dt><dd><p>list: une nouvelle matrice du produit matriciel des 2 matrices arguments</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.produit_scalaire">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">produit_scalaire</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mutl</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.produit_scalaire" title="Link to this definition"></a></dt>
<dd><dl class="simple">
<dt>fonction produit_scalaire(), qui prend en paramètre une matrice</dt><dd><p>et un nombre entier ou décimal, et en retourne le produit scalaire.</p>
</dd>
<dt>Args:</dt><dd><p>matrice (list): une matrice
mutl (intorfloat): produit scalaire</p>
</dd>
<dt>Returns:</dt><dd><p>list: matrice modifié par le produit scalaire</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="matrice.somme_matrice">
<span class="sig-prename descclassname"><span class="pre">matrice.</span></span><span class="sig-name descname"><span class="pre">somme_matrice</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">alt_matrice</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#matrice.somme_matrice" title="Link to this definition"></a></dt>
<dd><dl class="simple">
<dt>fonction somme_matrice() qui prend en paramètre 2 matrices et en retourne la somme.</dt><dd><p>Cette opération n’est possible que si les 2 matrices sont de même dimension, si ce n’est pas le cas lever une exception de type MatriceDimensionError().</p>
</dd>
<dt>Args:</dt><dd><p>matrice (list): une matrice
alt_matrice (list): une autre matrice</p>
</dd>
<dt>Returns:</dt><dd><p>new_matrice (list): la somme des 2 matrices en args</p>
</dd>
</dl>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="main.html" class="btn btn-neutral float-left" title="main module" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
        <a href="test.html" class="btn btn-neutral float-right" title="test module" accesskey="n" rel="next">Suivant <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Droits d'auteur 2023, kylian V.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>